Subject: RE: [PATCH v2 1/4] Documentation: use singular they when appropriate

From: Felipe Contreras <[email-masked]>
Date: Wed, 09 Jun 2021 10:33:01 -0500

Derrick Stolee via GitGitGadget wrote:
> From: Derrick Stolee <[email-masked]>
> Replace these uses with "they/them" to ensure that these documentation
> examples apply to all potential users without exception.

This is not the main purpose of documentation.

The main purpose is to convey useful information as accurately and
readably as possible.

> --- a/Documentation/SubmittingPatches
> +++ b/Documentation/SubmittingPatches
> @@ -372,10 +372,10 @@ If you like, you can put extra tags at the end:
>    the patch attempts to fix.
>  . `Acked-by:` says that the person who is more familiar with the area
>    the patch attempts to modify liked the patch.
> -. `Reviewed-by:`, unlike the other tags, can only be offered by the
> -  reviewer and means that she is completely satisfied that the patch
> -  is ready for application.  It is usually offered only after a
> -  detailed review.
> +. `Reviewed-by:`, unlike the other tags, can only be offered by a
> +  reviewer when they are completely satisfied with the patch.  It is
> +  offered only after reviews by reviewers who are known to be experts
> +  in the affected area by the community members.

This is convoluted, but at least doesn't sound wrong.

> --- a/Documentation/user-manual.txt
> +++ b/Documentation/user-manual.txt
> @@ -2792,7 +2792,7 @@ A fast-forward looks something like this:
>  
>  In some cases it is possible that the new head will *not* actually be
>  a descendant of the old head.  For example, the developer may have
> -realized she made a serious mistake, and decided to backtrack,
> +realized they made a serious mistake, and decided to backtrack,

This suffers from the same problem "the reviewer" above did: it's
semantically singular. It doesn't sound grammatically right to many.

Another solution is to use an indefinite or generic noun: "they" -> "a".

  the developer may have realized a serious mistake was made

Of course it isn't a good style to use the passive voice, and we will be
counting on the reader assuming who made mistake. But at least it's
more grammatically correct than your version.

So far a step in the wrong direction.

-- 
Felipe Contreras